Skip to main content
Returns Buyers belonging to the workspace associated with your API key.

Request

Query parameters

Filter by creation time

Use created_after and created_before to filter Buyers by when they were created.
Time filters use inclusive-start and exclusive-end semantics:
Timestamps use UTC in ISO 8601 format:

Sort Buyers

GET buyers only support created_at. Newest Buyers first:
Oldest Buyers first:
By default, Buyers are returned in:
The Buyer ID is automatically used as a deterministic tie-breaker and does not need to be included in sort_by.

Pagination

Use limit to control the number of Buyers returned in each request.
If additional results are available, the response includes a next_cursor. Pass that value using the cursor parameter to retrieve the next page:
Continue requesting pages until next_cursor is null.

Example request

Response

A successful request returns Buyer objects in data. The example below shows one Buyer for readability.
The Buyer object includes contact and company information, ICP and Persona evaluation, Target Lists, Signal counts, attribution, and first and last Signal details. The current API response uses these fields and nested structures. When there are no additional pages:

Errors